libxml++: xmlpp::Validator Class Reference

libxml++ 2.42.0

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
xmlpp::Validator Class Reference

Base class for XML validators. More...

`#include <libxml++/validators/validator.h>`

Inheritance diagram for xmlpp::Validator:
[legend]

## Public Member Functions
| Validator ()
| ~Validator () override

## Protected Member Functions
virtual void | check_for_exception ()
virtual void | check_for_validity_messages ()
virtual void | handleException (const exception& e)
virtual void | initialize_valid ()
virtual void | on_validity_error (const Glib::ustring& message)
virtual void | on_validity_warning (const Glib::ustring& message)
virtual void | release_underlying ()

## Static Protected Member Functions
static void | callback_validity_error (void* ctx, const char* msg,...)
static void | callback_validity_warning (void* ctx, const char* msg,...)

## Protected Attributes
exception* | exception_
_xmlValidCtxt* | valid_
Glib::ustring | validate_error_
Glib::ustring | validate_warning_

## Detailed Description

Base class for XML validators.

## Constructor & Destructor Documentation

## ◆ Validator()

xmlpp::Validator::Validator | ( |  | ) |

## ◆ ~Validator()

xmlpp::Validator::~Validator | ( |  | ) |
| override

## Member Function Documentation

## ◆ callback_validity_error()

static void xmlpp::Validator::callback_validity_error | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  |
| staticprotected

## ◆ callback_validity_warning()

static void xmlpp::Validator::callback_validity_warning | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  |
| staticprotected

## ◆ check_for_exception()

virtual void xmlpp::Validator::check_for_exception | ( |  | ) |
| protectedvirtual

## ◆ check_for_validity_messages()

virtual void xmlpp::Validator::check_for_validity_messages | ( |  | ) |
| protectedvirtual

## ◆ handleException()

virtual void xmlpp::Validator::handleException | ( | const exception& | e | ) |
| protectedvirtual

## ◆ initialize_valid()

virtual void xmlpp::Validator::initialize_valid | ( |  | ) |
| protectedvirtual

Reimplemented in xmlpp::XsdValidator, xmlpp::SchemaValidatorBase, xmlpp::SchemaValidator, and xmlpp::RelaxNGValidator.

## ◆ on_validity_error()

virtual void xmlpp::Validator::on_validity_error | ( | const Glib::ustring & | message | ) |
| protectedvirtual

## ◆ on_validity_warning()

virtual void xmlpp::Validator::on_validity_warning | ( | const Glib::ustring & | message | ) |
| protectedvirtual

## ◆ release_underlying()

virtual void xmlpp::Validator::release_underlying | ( |  | ) |
| protectedvirtual

Reimplemented in xmlpp::XsdValidator, xmlpp::SchemaValidatorBase, xmlpp::SchemaValidator, xmlpp::RelaxNGValidator, and xmlpp::DtdValidator.

## Member Data Documentation

## ◆ exception_

exception* xmlpp::Validator::exception_
| protected

## ◆ valid_

_xmlValidCtxt* xmlpp::Validator::valid_
| protected

## ◆ validate_error_

Glib::ustring xmlpp::Validator::validate_error_
| protected

## ◆ validate_warning_

Glib::ustring xmlpp::Validator::validate_warning_
| protected